## org.eclipse.emf.compare.epatch.util
Class EpatchUtil

    java.lang.Object
      org.eclipse.emf.compare.epatch.util.EpatchUtil

    public class EpatchUtil

extends java.lang.Object

Nested Class Summary
`static class` `EpatchUtil.AssSorter`
`static class` `EpatchUtil.AssValSorter`
`static class` `EpatchUtil.ObjSorter`

Field Summary
`static EpatchUtil.AssSorter` `ASS_SORTER`
`static EpatchUtil.AssValSorter` `ASS_VAL_SORTER_ASC`
`static EpatchUtil.AssValSorter` `ASS_VAL_SORTER_DESC`
`static EpatchUtil.ObjSorter` `NAMED_OBJECT_SORTER`

Constructor Summary
`EpatchUtil()`

Method Summary
`static java.util.List<CreatedObject>` `getAllLeftValues(NamedObject obj)`
`static java.util.List<CreatedObject>` `getAllRightValues(NamedObject obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ASS_SORTER

    public static final EpatchUtil.AssSorter ASS_SORTER

### ASS_VAL_SORTER_ASC

    public static EpatchUtil.AssValSorter ASS_VAL_SORTER_ASC

### ASS_VAL_SORTER_DESC

    public static EpatchUtil.AssValSorter ASS_VAL_SORTER_DESC

### NAMED_OBJECT_SORTER

    public static EpatchUtil.ObjSorter NAMED_OBJECT_SORTER

Constructor Detail

### EpatchUtil

    public EpatchUtil()

Method Detail

### getAllLeftValues

    public static java.util.List<CreatedObject> getAllLeftValues(NamedObject obj)

### getAllRightValues

    public static java.util.List<CreatedObject> getAllRightValues(NamedObject obj)

Copyright 2006 IBM Corporation and others. All Rights Reserved.